package com.topcoder.persistence.relation;

/**
 * The ConstraintViolatedException exception is thrown when a method call
 * causes the relation to go into an invalid state because a constraint is
 * not respected. This usually happens when adding new constraints, adding,
 * removing or clearing tuples or changing their values.
 *
 * Thread safety:
 * 
 * The class is immutable so it is thread safe.
 *
 * @author TCSDESIGNER
 */
public class ConstraintViolatedException extends RelationException {

	/**
     * Create a new instance ConfigurationException with the given error message.
     *
     * The message is enforced to be completed, so that the user will benefit from meaningful messages.
     *
     * Simply calls the super constructor with the message.
     *
     * @param message the message describing the exception
     *
     * @throws IllegalArgumentException if the message is null
     */
    public ConstraintViolatedException(String message) throws IllegalArgumentException {
        super(message);
    }

    /**
     * Create a new instance ConfigurationException with the given error message and the given cause.
     *
     * The message is enforced to be completed, so that the user will benefit from meaningful messages.
     *
     * Simply calls the super constructor with the message and cause.
     *
     * @param message the message describing the exception
     * @param cause the cause of the exception
     *
     * @throws IllegalArgumentException if the message is null or if cause is null
     */
    public ConstraintViolatedException(String message, Throwable cause) throws IllegalArgumentException {
        super(message, cause);
    }

}
