package com.topcoder.persistence.relation;

/**
 * The EvaluationException exception is thrown by the constraint implementations.
 * The signal implementation specific errors that prevent the cosntraint to
 * be evaluated.
 *
 * Thread safety:
 * 
 * The class is immutable so it is thread safe.
 *
 * @author TCSDESIGNER
 */
public class EvaluationException extends RelationException {

    /**
     * Create a new instance ConfigurationException with the given error message.
     *
     * The message is enforced to be completed, so that the user will benefit from meaningful messages.
     *
     * Simply calls the super constructor with the message.
     *
     * @param message the message describing the exception
     *
     * @throws IllegalArgumentException if the message is null
     */
    public EvaluationException(String message) throws IllegalArgumentException {
        super(message);
    }

    /**
     * Create a new instance ConfigurationException with the given error message and the given cause.
     *
     * The message is enforced to be completed, so that the user will benefit from meaningful messages.
     *
     * Simply calls the super constructor with the message and cause.
     *
     * @param message the message describing the exception
     * @param cause the cause of the exception
     *
     * @throws IllegalArgumentException if the message is null or if cause is null
     */
    public EvaluationException(String message, Throwable cause) throws IllegalArgumentException {
        super(message, cause);
    }

}
