package com.topcoder.persistence.relation;

import com.topcoder.util.errorhandling.BaseRuntimeException;

/**
 * The RelationException exception is a base exception for the other exceptions
 * in this design. It is not thrown directly. If is only defined to allow
 * easier exception handling.
 *
 * Thread safety:
 * 
 * The class is immutable so it is thread safe.
 *
 * @author TCSDESIGNER
 */
public class RelationException extends BaseRuntimeException {
	
    /**
     * Create a new instance ConfigurationException with the given error message.
     *
     * The message is enforced to be completed, so that the user will benefit from meaningful messages.
     *
     * Simply calls the super constructor with the message.
     *
     * @param message the message describing the exception
     *
     * @throws IllegalArgumentException if the message is null
     */
    public RelationException(String message) throws IllegalArgumentException {
        super(message, null);
    }

    /**
     * Create a new instance ConfigurationException with the given error message and the given cause.
     *
     * The message is enforced to be completed, so that the user will benefit from meaningful messages.
     *
     * Simply calls the super constructor with the message and cause.
     *
     * @param message the message describing the exception
     * @param cause the cause of the exception
     *
     * @throws IllegalArgumentException if the message is null or if cause is null
     */
    public RelationException(String message, Throwable cause) throws IllegalArgumentException {
        super(message, cause);
    }
	
}
